function [a, nNode, nStep, allTimes] = getAccel()
% loads, reshapes, and processes recorded acceleration response

% load recorded data
acc = load('acceleration.out');
allTimes = acc(:,1);

% remove time column from data
acc(:,1) = [];
% don't consider gravity loading steps
acc = acc(51:end,:);

% data descriptors
[nStep, nAcc] = size(acc);
nDOF  = 2;
nNode = nAcc/nDOF;

% reshape data 
a = reshape(acc, nStep, nDOF, nNode)/9.81;

return
