function getForceHistory()
% creates a list of forces to be applied to the base of the soil column
close all

% load input motion acceleration time history
rawMotion = load('ELCENTRO.EQ');
[m,n] = size(rawMotion);
nStep = m*n;

% reshape input motion into single column vector
yDDot = zeros(nStep,1);
k = 1;
for i = 1:m
    for j = 1:n
        yDDot(k,1) = rawMotion(i,j);
        k = k + 1;
	end
end
yDDot = 9.81*yDDot;

% plotting variables
dT = 0.02;
T  = dT*nStep;
t  = linspace(0, T, nStep)';

% integrate to obtain velocity time history
yDot = cumtrapz(yDDot);
yDot = dT*yDot;

% multiply velocity time history by density and shear wave velocity of bedrock layer
vs = 914.4; %(m/s)
density = 2.4; %(Mg/m^3)

force = vs*density*yDot;

save -ascii forceHistory.out force

return
